Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/DebugEngine.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/DebugEngine.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/DebugEngine.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("BC1A9855-D280-4314-A272-CD2120679F12")]
   [Item("Debug Engine", "Engine for debugging algorithms.")]
   public class DebugEngine : Executable, IEngine {
@@ -36,6 +36,5 @@
 
     [StorableConstructor]
-    protected DebugEngine(bool deserializing)
-      : base(deserializing) {
+    protected DebugEngine(StorableConstructorFlag _) : base(_) {
       InitializeTimer();
     }
Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/ExecutionStack.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("FE481B4B-BA25-4889-AAC7-6C88D852D971")]
   public class ExecutionStack : ObservableList<IOperation>, IContent, IDeepCloneable {
 
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected ExecutionStack(bool deserializing) : base(deserializing) { }
+    protected ExecutionStack(StorableConstructorFlag _) : base(_) { }
     protected ExecutionStack(ExecutionStack original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/HeuristicLab.DebugEngine-3.3.csproj	(revision 16723)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.DebugEngine</RootNamespace>
     <AssemblyName>HeuristicLab.DebugEngine-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -140,4 +140,11 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\bin\HEAL.Attic.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperationChangedEventArgs.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperationChangedEventArgs.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperationChangedEventArgs.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperationContent.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperationContent.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperationContent.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/OperatorTrace.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.DebugEngine {
 
-  [StorableClass]
+  [StorableType("F694C6E8-39EC-4705-AB77-D00147A4D542")]
   public class OperatorTrace : ObservableList<IOperator>, IContent, IDeepCloneable {
 
@@ -68,5 +68,5 @@
 
     [StorableConstructor]
-    protected OperatorTrace(bool deserializing) : base(deserializing) { }
+    protected OperatorTrace(StorableConstructorFlag _) : base(_) { }
 
     protected OperatorTrace(OperatorTrace original, Cloner cloner) {
Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Plugin.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Plugin.cs.frame	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Plugin.cs.frame	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,4 +26,5 @@
   [Plugin("HeuristicLab.DebugEngine", "3.3.15.$WCREV$")]
   [PluginFile("HeuristicLab.DebugEngine-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Attic", "1.0")]  
   [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Properties/AssemblyInfo.cs.frame	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Properties/AssemblyInfo.cs.frame	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Utils.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Utils.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.DebugEngine/3.3/Utils.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
